# Method: forms.watches.create

- [HTTP request](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create#body.aspect)

Create a new watch. If a watch ID is provided, it must be unused. For each invoking project, the per form limit is one watch per `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#EventType`. A watch expires seven days after it is created (see `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch.FIELDS.expire_time`).

### HTTP request

`POST https://forms.googleapis.com/v1/forms/{formId}/watches`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `formId` | `string` Required. ID of the Form to watch. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "watch": { object (`https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch`) }, "watchId": string } ``` |

| Fields ||
|---|---|
| `watch` | ``object (`https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch`)`` Required. The watch object. No ID should be set on this object; use `watchId` instead. |
| `watchId` | `string` The ID to use for the watch. If specified, the ID must not already be in use. If not specified, an ID is generated. This value should be 4-63 characters, and valid characters are /\[a-z\]\[0-9\]-/. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.readonly`
- `
  https://www.googleapis.com/auth/forms.body`
- `
  https://www.googleapis.com/auth/forms.body.readonly`
- `
  https://www.googleapis.com/auth/forms.responses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).